Subject: linux-next: build failure after merge of the hid tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 11 Apr 2024 10:51:31 +1000

Hi all,

After merging the hid tree, today's linux-next build (x86_64 allmodconfig)
failed like this:

x86_64-linux-gnu-ld: vmlinux.o: in function `hid_bpf_input_report':
(.text+0x1c75181): undefined reference to `hid_input_report'

Caused by commit

  9be50ac30a83 ("HID: bpf: allow to inject HID event from BPF")

I have used the hid tree from next-20240410 for today.

-- 
Cheers,
Stephen Rothwell